Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/exports/{exportId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "exp_CGnCVltmWjI9V1pGlnunw2Nf",
"object": "export",
"created_at": "2022-01-13T09:03:18.293Z",
"status": "DONE",
"channel": "API",
"exported_object": "customer",
"parameters": {
"order": "",
"fields": [
"name",
"id",
"email",
"source_id",
"created_at"
],
"filters": {
"junction": "and"
},
"response_format": "CSV"
},
"result": {
"url": "{{internalVoucherifyURL}}"
},
"user_id": null
}Retrieves the URL of the downloadable file, which was generated via the Create Export method.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/exports/{exportId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "exp_CGnCVltmWjI9V1pGlnunw2Nf",
"object": "export",
"created_at": "2022-01-13T09:03:18.293Z",
"status": "DONE",
"channel": "API",
"exported_object": "customer",
"parameters": {
"order": "",
"fields": [
"name",
"id",
"email",
"source_id",
"created_at"
],
"filters": {
"junction": "and"
},
"response_format": "CSV"
},
"result": {
"url": "{{internalVoucherifyURL}}"
},
"user_id": null
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Unique export object ID of previously created export. This object can be a: voucher, redemption, publication, customer, order, points_expiration, or voucher_transactions.
"exp_2bYLdY2lQ2886wmYIHyeBWUZ"
Returns the export object if a valid identifier was provided in the path.
Response body schema for GET v1/exports/{exportId}.
Unique export ID.
The type of object being represented. This object stores information about the export.
export Timestamp representing the date and time when the export was scheduled in ISO 8601 format.
Status of the export. Informs you whether the export has already been completed, i.e. indicates whether the file containing the exported data has been generated.
SCHEDULED, IN_PROGRESS, DONE, ERROR Contains the URL of the CSV file.
Show child attributes
Identifies the specific user who initiated the export through the Voucherify Dashboard; returned when the channel value is WEBSITE.
The type of object to be exported.
voucher The channel through which the export was triggered.
Show child attributes
Was this page helpful?